Summary:		A simple C-like language for Lego's RCX programmable brick
Name:			nqc
Version:		2.1.r1
Release:		2
Copyright:		MPL
Group:			Development/Languages
Source:			http://www.enteract.com/~dbaum/nqc/beta/nqc-2.1.r1.tar.gz
URL:			http://www.enteract.com/~dbaum/nqc/
Prefix:			/usr
Vendor: 		Dave Baum <dbaum@enteract.com>
Packager:		Matthew Miller <mattdm@mattdm.org>
BuildRoot:		/var/tmp/%{name}-%{version}-%{release}-buildroot

%description
Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick. It can be thought of as an
intermediate step between the Win32 GUI that ships with Mindstorms and
pbForth or LegOS. It's far more powerful than the former, but doesn't give
quite the same raw level of control you'd get by using a replacement
firmware. NQC runs on Linux, MacOS, and MS Win32 -- and of course, the
source is available if you want to try it elsewhere.

%prep
%setup -n nqc-2.1r1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -s -m 755 bin/nqc $RPM_BUILD_ROOT/usr/bin/nqc
install -m 644 nqc-man-2.1r1-0.man $RPM_BUILD_ROOT/usr/man/man1/nqc.1

%clean
rm -rf ../%{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE
%doc compiler/rcx2.nqh
%doc readme.txt
%doc scout.txt
%doc test.nqc
%doc /usr/man/man1/nqc.1
/usr/bin/nqc
